Bug 1969902 - OLM fails with 'ResolutionFailed' found more than one head for channel
Summary: OLM fails with 'ResolutionFailed' found more than one head for channel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Joe Lanford
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks: 1986476
TreeView+ depends on / blocked
 
Reported: 2021-06-09 12:46 UTC by Simon Krenger
Modified: 2021-10-18 17:33 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1986476 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:33:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift operator-framework-olm pull 135 0 None open Bug 1969902: resolver: remove legacy support for fallback parsing of CSVs 2021-07-27 16:28:04 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:33:39 UTC

Comment 7 kliberti 2021-07-13 13:20:26 UTC
Running into the same error when attempting to install the latest version of AMQ Streams, v1.7.2, via OLM on OCP v4.7

```
I0710 01:13:39.895527       1 event.go:282] Event(v1.ObjectReference{Kind:"Namespace", Namespace:"", Name:"openshift-operators", UID:"e0ddaf02-3c94-4c2a-b274-4664d9a75ed1", APIVersion:"v1", ResourceVersion:"1941", FieldPath:""}): type: 'Warning' reason: 'ResolutionFailed' found multiple channel heads: [amqstreams.v1.7.2 amqstreams.v1.6.2], please check the `replaces`/`skipRange` fields of the operator bundles
```

Can reproduce the issue by installing AMQ Streams v1.6.2 via OLM using the `amq-streams-1.6.x` channel and then trying to upgrade to AMQ Streams v1.7.2 by switching the channel to `stable`, `amq-streams-1.7.x`, or `amq-streams-1.x`.

Comment 10 Kevin Rizza 2021-07-13 19:08:15 UTC
*** Bug 1981832 has been marked as a duplicate of this bug. ***

Comment 11 Kevin Rizza 2021-07-13 20:06:36 UTC
Fyi, this bug appears to be tracking a separate issue, because the index referenced in the original bug report does not include any deprecated bundles: https://bugzilla.redhat.com/show_bug.cgi?id=1981832#c2

We'll continue to investigate this one, but I removed the duplicate reference and I'm modifying the severity and priority as a result.

Comment 24 errata-xmlrpc 2021-10-18 17:33:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.